<mjml version="3.3.3">
  <mj-body background-color="#F4F4F4">
    <mj-include path="./partials/header.mjml"/>
    <mj-section background-color="#ffffff" background-repeat="repeat" background-size="auto" padding="20px 0px 20px 0px"
                text-align="center" vertical-align="top">
      <mj-column>
        <mj-text align="center" color="#55575d" font-family="Arial, sans-serif" font-size="14px" line-height="28px"
                 padding="0px 25px 0px 25px">
          {{ reservation.reservable.form.getTranslation(app.request.locale).mailText|raw }}
        </mj-text>

        <mj-table>
          <tr style="border-bottom:1px solid #ecedee;text-align:left;padding:15px 0;">
            <th colspan="1"
                style="padding: 0 15px 0 0; width: 25%; text-align: left">{{ 'sulu_reservations.reservable'|trans }}</th>
            <th colspan="1"
                style="padding: 0 15px; width: 25%; text-align: center">{{ 'sulu_reservations.group_people'|trans }}</th>
            <th colspan="1"
                style="padding: 0 0 0 15px; width: 25%; text-align: center">{{ 'sulu_reservations.amount'|trans }}</th>
            <th colspan="1"
                style="padding: 0 0 0 15px; width: 25%; text-align: left">{{ 'sulu_reservations.price'|trans }}</th>
          </tr>
          {% for group in reservation.groups %}
            <tr>
              <td colspan="1" style="width: 25%; text-align: left">{{ reservation.reservable.title }} (€{{ group.group.price }})</td>
              <td colspan="1" style="width: 25%; text-align: center">{{ group.group.groupName }}</td>
              <td colspan="1" style="width: 25%; text-align: center">{{ group.amount }}</td>
              {% if reservation.reservable.priceType != 'SINGLE_PAYMENT' %}
                <td colspan="1" style="width: 25%; text-align: center">€{{ (group.price * group.amount)|number_format(2) }}</td>
              {% endif %}
            </tr>
          {% endfor %}
          {% if reservation.reservable.priceType == 'SINGLE_PAYMENT' %}
            <tr>
              <td colspan="1" style="width: 25%; text-align: left">{{ reservation.reservable.title }} ({{ reservation.reservable.id }})</td>
              <td colspan="1" style="width: 25%; text-align: center">{{ "sulu_reservations.fixed_price"| trans }}</td>
              <td colspan="1" style="width: 25%; text-align: center">{{ reservation.amount }}</td>
              <td colspan="1" style="width: 50%; text-align: center">€{{ reservation.reservable.singlePrice|number_format(2) }}</td>
            </tr>
            {% for option in reservation.options %}
              <tr>
                <td colspan="3" style="width: 50%; text-align: left">{{ option.title }}</td>
                <td colspan="1" style="width: 50%; text-align: center">€{{ option.price|number_format(2) }}</td>
              </tr>
            {% endfor %}
          {% else %}
            {% for option in reservation.options %}
              <tr>
                <td colspan="2" style="width: 33%; text-align: left">{{ option.title }} (€{{ option.price|number_format(2) }})</td>
                <td colspan="1" style="width:33%; text-align: center">{{ reservation.amount }}</td>
                <td colspan="1" style="width: 33%; text-align: center">€{{ (option.price * reservation.amount)|number_format(2) }}</td>
              </tr>
            {% endfor %}
          {% endif %}

          <tr>
            <th colspan="3" style="width: 50%; text-align: left">{{ "sulu_reservations.payment_method"| trans }}: {{ reservation.payment.paymentMethod.name }}</th>
            <td colspan="1" style="width: 50%; text-align: center">€{{ reservation.payment.paymentMethod.price|number_format(2) }}</td>
          </tr>
          <tr>
            <th colspan="3" style="width: 50%; text-align: left">{{ "sulu_reservations.total_price"| trans }}</th>
            <td colspan="1" style="width: 50%; text-align: center">€{{ reservation.price|number_format(2) }}</td>
          </tr>
        </mj-table>
      </mj-column>
    </mj-section>
    <mj-section background-color="#ffffff" background-repeat="repeat" background-size="auto" padding="20px 0px 20px 0px"
                text-align="center" vertical-align="top">
      <mj-column>
        <mj-table>
          {% for key,field in reservation.formdata.form.fields|sort((a, b) => a.order <=> b.order) %}
            {% if field.key != 'recaptcha' and field.key != 'checkbox' and reservation.formdata.data[field.key] is defined %}
              <tr>
                <th colspan="1" style="padding: 0 0 0 15px; width: 50%; text-align: center">
                  {{ field.translations[0].title }}
                </th>
                <td colspan="1" style="padding: 0 0 0 15px; width: 50%; text-align: center">
                  {% if reservation.formdata.data[field.key]["day"] is defined %}
                    {{ reservation.formdata.data[field.key]["day"]  }} - {{ reservation.formdata.data[field.key]["month"] }} - {{ reservation.formdata.data[field.key]["year"] }}
                  {% else %}
                    {{ reservation.formdata.data[field.key] }}
                  {% endif %}
                </td>
              </tr>
            {% endif %}
          {% endfor %}
        </mj-table>
      </mj-column>
    </mj-section>
    <mj-include path="./partials/footer.mjml"/>
  </mj-body>
</mjml>
